<?php

namespace App\Entity;

use App\Repository\SongRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: SongRepository::class)]
class Song
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column(type: 'integer')]
    private int $id;

    #[ORM\Column(type: 'string', length: 2048)]
    private string $path;

    #[ORM\Column(type: 'string', length: 2048, nullable: true)]
    private ?string $artist;

    #[ORM\Column(type: 'string', length: 2048, nullable: true)]
    private ?string $album;

    #[ORM\Column(type: 'string', length: 2048, nullable: true)]
    private ?string $name;

    #[ORM\Column(type: 'string', length: 2048)]
    private string $filehash;

    #[ORM\Column(type: 'integer', nullable: true)]
    private int $releaseYear;

    public function getId(): ?int {
        return $this->id;
    }

    public function getPath(): ?string {
        return $this->path;
    }

    public function setPath(string $path): self {
        $this->path = $path;

        return $this;
    }

    public function getArtist(): ?string {
        return $this->artist;
    }

    public function setArtist(?string $artist): self {
        $this->artist = $artist;

        return $this;
    }

    public function getAlbum(): ?string {
        return $this->album;
    }

    public function setAlbum(?string $album): self {
        $this->album = $album;

        return $this;
    }

    public function getName(): ?string {
        return $this->name;
    }

    public function setName(?string $name): self {
        $this->name = $name;

        return $this;
    }

    public function getFilehash(): ?string {
        return $this->filehash;
    }

    public function setFilehash(string $filehash): self {
        $this->filehash = $filehash;

        return $this;
    }

    public function getReleaseYear(): ?int {
        return $this->releaseYear;
    }

    public function setReleaseYear(?int $releaseYear): self {
        $this->releaseYear = $releaseYear;

        return $this;
    }
}
